<template>
  <!-- 修改车皮装车实绩 -->
  <div id="contractDetails">
    <page-title>编辑</page-title>
    <div class="main">
      <span class="text">车皮装车实绩</span>
      <span class="a"></span>
    </div>
    <div class="contractTitle">
      <div class="form-box">
        <div class="form-one">
          <dil-form :formId="254" v-model="form1"></dil-form>
        </div>
      </div>
    </div>

    <div class="button-box">
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
      <el-button @click="onClickCancel">返回</el-button>
    </div>
  </div>
</template>

<script>
import PageTitle from "@/components/Page/Title";

export default {
  components: { PageTitle },
 data(){
     return {
      form1: {},
  }
 },
  mounted() {
    this.information();
  },
  methods: {
    information() {
      //编辑车皮装车作业
      this.axios
        .post("/api/v1/tms/getTmstrainLoadingResultByResultId/" + this.$route.params.resultId)
        .then((res) => {
          res.data.data.forEach((e) => {
            this.form1 = e;
            console.log(e);
            console.log(this.form1);
            console.log(this.$route.params.resultId);
          });
        });
    },
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.aaaa = row;
    },
    // 确认
    onClickConfirm() {
      let tmstrainLoadingResult = {
        resultId: this.$route.params.resultId,
        resultWagonNo: this.form1.resultWagonNo,
        resultBillableTonnage: this.form1.resultBillableTonnage,
        resultClass: this.form1.resultClass,
        sendStationId: this.form1.sendStationId,
        arrivalStationId: this.form1.arrivalStationId,
        resultLoadingDate: sjTime(this.form1.resultLoadingDate),
        batchId: this.form1.batchId,
        capacityId: this.form1.capacityId,
        resultMaterialNumber: this.form1.resultMaterialNumber,
        resultMaterialTheoryweight: this.form1.resultMaterialTheoryweight,
        resultRemarks: this.form1.resultRemarks
      };
      if (
      tmstrainLoadingResult.resultWagonNo==null||
      tmstrainLoadingResult.resultBillableTonnage==null||
      tmstrainLoadingResult.resultClass==null||
      tmstrainLoadingResult.sendStationId==null||
      tmstrainLoadingResult.arrivalStationId==null||
      tmstrainLoadingResult.resultLoadingDate==null||
      tmstrainLoadingResult.batchId==null
      ) this.$message.error("必填项存在空值！");
      else
      this.axios
        .post("/api/v1/tms/upadteTmstrainLoadingResultByResultId",tmstrainLoadingResult)
        .then(() => {
          this.$message({
            type: "success",  
            message: "修改成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss" scoped>
// @import "@/styles/TMS/addwagonload.scss";
</style>